aboutsummaryrefslogtreecommitdiff
path: root/bash/bashrc.d/fnl.bash
diff options
context:
space:
mode:
Diffstat (limited to 'bash/bashrc.d/fnl.bash')
-rw-r--r--bash/bashrc.d/fnl.bash7
1 files changed, 2 insertions, 5 deletions
diff --git a/bash/bashrc.d/fnl.bash b/bash/bashrc.d/fnl.bash
index b63d64b1..1f543dbf 100644
--- a/bash/bashrc.d/fnl.bash
+++ b/bash/bashrc.d/fnl.bash
@@ -23,11 +23,8 @@ fnl() {
fi
# Create a temporary directory or bail
- local dirname template
- template=$FUNCNAME.$1.XXXXXX
- if ! dirname=$(mktemp -dt -- "$template") ; then
- return
- fi
+ local dirname
+ dirname=$(mktd "$FUNCNAME") || return
# Run the command and save its exit status
local ret